DRM_MM_FOR_EACH_NODE(9)

NAME
drm_mm_for_each_node - iterator to walk over all allocated nodes

SYNOPSIS

drm_mm_for_each_node(entry, mm);

ARGUMENTS

entry
    drm_mm_node structure to assign to in each iteration step

mm
    drm_mm allocator to walk

DESCRIPTION

This iterator walks over all nodes in the range allocator. It is implemented with list_for_each, so not save against removal of elements.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT